D-Bus: DBusTypeReaderClass Struct Reference

D-Bus 1.14.10

Data Fields
DBusTypeReaderClass Struct Reference
D-Bus secret internal implementation details » marshaling and unmarshaling

Virtual table for a type reader. More...

## Data Fields
const char * | name
| name for debugging
int | id
| index in all_reader_classes
dbus_bool_t | types_only
| only iterates over types, not values
void(* | recurse )(DBusTypeReader *sub, DBusTypeReader *parent)
| recurse with this reader as sub
dbus_bool_t(* | check_finished )(const DBusTypeReader *reader)
| check whether reader is at the end
void(* | next )(DBusTypeReader *reader, int current_type)
| go to the next value

## Detailed Description

Virtual table for a type reader.

Definition at line 125 of file dbus-marshal-recursive.c.

## Field Documentation

## ◆ check_finished

dbus_bool_t(* DBusTypeReaderClass::check_finished) (const DBusTypeReader *reader)

check whether reader is at the end

Definition at line 132 of file dbus-marshal-recursive.c.

Referenced by _dbus_type_reader_get_current_type().

## ◆ id

int DBusTypeReaderClass::id

index in all_reader_classes

Definition at line 128 of file dbus-marshal-recursive.c.

Referenced by _dbus_type_reader_recurse().

## ◆ name

const char* DBusTypeReaderClass::name

name for debugging

Definition at line 127 of file dbus-marshal-recursive.c.

## ◆ next

void(* DBusTypeReaderClass::next) (DBusTypeReader *reader, int current_type)

go to the next value

Definition at line 133 of file dbus-marshal-recursive.c.

Referenced by _dbus_type_reader_next().

## ◆ recurse

void(* DBusTypeReaderClass::recurse) (DBusTypeReader *sub, DBusTypeReader *parent)

recurse with this reader as sub

Definition at line 130 of file dbus-marshal-recursive.c.

Referenced by _dbus_type_reader_recurse().

## ◆ types_only

dbus_bool_t DBusTypeReaderClass::types_only

only iterates over types, not values

Definition at line 129 of file dbus-marshal-recursive.c.

Referenced by _dbus_type_reader_get_array_length(), _dbus_type_reader_read_basic(), _dbus_type_reader_read_fixed_multi(), _dbus_type_reader_read_raw(), _dbus_type_reader_recurse(), and _dbus_type_reader_set_basic().

The documentation for this struct was generated from the following file:

- dbus-marshal-recursive.c